Avira.MarketingResearch.Web/Controllers/StandardHoursController.cs
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Net.Http;
using System.Threading.Tasks;
using Avira.MarketingResearch.LogService;
using Avira.MarketingResearch.Model.ViewModels.Masters;
using Avira.MarketingResearch.Web.CustomFilter;
using Avira.MarketingResearch.Web.Models;
using Avira.MarketingResearch.WebApiService;
using Microsoft.AspNetCore.Mvc;

namespace Avira.MarketingResearch.Web.Controllers
{
    [NoCache]
    [Authorization]
    public class StandardHoursController : BaseController
    {
        private ILoggerManager _logger;
        public readonly IServiceRepository _serviceRepository;
        public StandardHoursController(IServiceRepository serviceRepository, ILoggerManager logger)
        {
            _serviceRepository = serviceRepository;
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public ActionResult LoadData(StandardHoursViewModel standardHours)
        {
            var draw = Request.Form["draw"].FirstOrDefault();
            int totalRecords = 0;
            List<StandardHoursViewModel> data = null;
            try
            {
                var start = Request.Form["start"].FirstOrDefault();
                var length = Request.Form["length"].FirstOrDefault();
                string search = Request.Form["search[value]"];

                var sortColumn = Request.Form["columns[" + Request.Form["order[0][column]"].FirstOrDefault() + "][name]"].FirstOrDefault();
                var sortColumnDir = Request.Form["order[0][dir]"].FirstOrDefault();
                var SortDirection = -1;
                if (sortColumnDir == "asc")
                {
                    SortDirection = 1;
                }
                else
                {
                    SortDirection = -1;
                }

                int skip = start != null ? Convert.ToInt32(start) : 0;
                int pageSize = length.ToString() != null ? Convert.ToInt32(length) : 0;
                int PageStart = start.ToString() != null ? Convert.ToInt32(start) : 0;
                var contollerName = this.ControllerContext.RouteData.Values["controller"].ToString();

                HttpResponseMessage response = _serviceRepository.GetResponse(contollerName, PageStart, pageSize, SortDirection, sortColumn, search);
                response.EnsureSuccessStatusCode();
                List<StandardHoursViewModel> statndardHours = response.Content.ReadAsAsync<List<StandardHoursViewModel>>().Result;
                ViewBag.Title = "Statndard Hours";
                data = statndardHours;
               
                foreach (var item in statndardHours)
                {
                    totalRecords = item.TotalItems;
                }
            }
            catch (Exception ex)
            {
                _logger.LogError(ex.Message);
            }
            return Json(new { draw = draw, recordsFiltered = totalRecords, recordsTotal = totalRecords, data = data });

        }
        [HttpGet]
        public IActionResult Edit(string id)
        {
            try
            {
                var contollerName = this.ControllerContext.RouteData.Values["controller"].ToString();
                HttpResponseMessage response = _serviceRepository.GetByIdResponse(contollerName, id);
                response.EnsureSuccessStatusCode();
                StandardHoursUpdateDbViewModel statndardHours = response.Content.ReadAsAsync<StandardHoursUpdateDbViewModel>().Result;
                return View(statndardHours);
            }
            catch (Exception ex)
            {
                _logger.LogError(ex.Message);
                ErrorViewModel err = new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier };
                return View("Error", err);
            }
        }
    }
}

Avira.MarketingResearch.Web/Views/StandardHours/Edit.cshtml
@model Avira.MarketingResearch.Model.ViewModels.Masters.StandardHoursUpdateDbViewModel
@{
    ViewData["Title"] = "Edit Standard Hours";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h2>Edit</h2>

<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<script src="~/ckeditor/ckeditor.js"></script>
<div id="content" class="content">
    <h4>
        Edit EcoSystem
    </h4>
    @if (ViewBag.Message != null)
    {
        <div class="alert alert-success alert-bordered show m-b-10">
            <strong>Info!</strong>
            @ViewBag.Message
            <span class="close" data-dismiss="alert">×</span>
        </div>
    }
    <div class="section-container section-with-top-border">

        @using (Html.BeginForm("Edit", "StandardHours", FormMethod.Post))
        {
            @Html.AntiForgeryToken()

            <div class="form-horizontal">


                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                @Html.HiddenFor(model => model.Id)

                <div class="form-group">
                    @Html.LabelFor(model => model.StandardHoursName, "StandardHours Name", htmlAttributes: new { @class = "col-md-3" })
                    <div class="col-md-6">
                        @Html.EditorFor(model => model.StandardHoursName, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.StandardHoursName, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    <label class="col-lg-3 col-form-label"><span class="text-danger">*</span>Minimum Number Of Primaries</label>
                    <div class="col-lg-6">
                        @Html.TextBoxFor(Model => Model.StandardHoursValue, new { @type = "number", @class = "form-control", required = "required" })
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-2"></div>
                    <div class="col-md-offset-5 p-l-15">
                        <input type="submit" value="Save" class="btn btn-rounded btn-grey m-b-5 width-100" />
                        <a href="~/StandardHours/Index" class="btn btn-rounded btn-inverse m-b-5 width-100">Back to List </a>
                    </div>
                </div>
            </div>

        }
    </div> <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
</div>

Avira.MarketingResearch.Web/Views/StandardHours/Index.cshtml
@{
    ViewData["Title"] = " Standard Hours";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<link href="~/assets/css/avira-custom.css" rel="stylesheet" />
<script src="~/assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="~/assets/js/page-table-manage.demo.min.js"></script>
<div id="content" class="content">

    <div class="section-container section-with-top-border">

        <div class="row">
            <div class="col-md-4">
                <h4>Standard Hours</h4>
            </div>
        </div>
        <!-- begin panel -->
        <div class="panel pagination-inverse m-b-0 clearfix">

            <table id="data-table" data-order='[[0,"asc"]]' class="table table-bordered table-hover">
                <thead>
                    <tr class="inverse">
                        <th>Standard Hours Name</th>
                        <th>Standard Hours value</th>
                        <th data-sorting="disabled" style="pointer-events:none;">Action</th>

                    </tr>
                </thead>


            </table>
        </div>
        <!-- end panel -->
    </div>

    <div id="footer" class="footer">
        <span class="pull-right">
            <a href="javascript:;" class="btn-scroll-to-top" data-click="scroll-top">
                <i class="fa fa-arrow-up"></i> <span class="hidden-xs">Back to Top</span>
            </a>
        </span>
        &copy; 2018 <b>Source Admin</b> All Right Reserved
    </div>
    <!-- end #footer -->
</div>

<script>
    $(document).ready(function () {
        $("#data-table").DataTable({
            "processing": true,
            "serverSide": true,
            "filter": true,
            "orderMulti": false,
            "ajax": {
                "url": "/StandardHours/LoadData",
                "type": "POST",
                "datatype": "json",
            },

            "columns": [
                { "data": "standardHoursName", "name": "standardHoursName" },
                { "data": "standardHoursValue", "name": "standardHoursValue" },
                {
                    render: function (data, type, full, meta) { return '<a class="btn btn-default btn-xs btn-rounded p-l-10 p-r-10" title="Edit" href="/StandardHours/Edit/' + full.id + '"><i class="fas fa-edit"></i></a> '; }
                },
            ]
        });
    });
</script>